# ModelBLikenessCriterion (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelBLikenessCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelExplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelBLikenessCriterion

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelBLikenessCriterion
      extends ModelExplicitCriterion

  This class implements a model for the b-likeness privacy model
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelBLikenessCriterion(java.lang.String attribute)` Creates a new instance.
    `ModelBLikenessCriterion(java.lang.String attribute, double beta, boolean enhanced)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelBLikenessCriterion` | `clone()` Clone
    `double` | `getB()` Returns B.
    `PrivacyCriterion` | `getCriterion(Model model)` Implement this to return the criterion.
    `java.lang.String` | `getLabel()` Implement this to return a string representation.
    `boolean` | `isEnhanced()` Returns whether this is the enhanced variant
    `void` | `parse(ModelCriterion criterion, boolean _default)` Parse
    `void` | `pull(ModelExplicitCriterion criterion)` Implement this, to update data.
    `void` | `setB(double beta)` Sets Beta.
    `void` | `setEnhanced(boolean enhanced)` Sets whether or not this is the enhanced variant
    `java.lang.String` | `toString()` Implement this to return a string representation.

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelExplicitCriterion

      `getAttribute`

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

      `isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelBLikenessCriterion

          public ModelBLikenessCriterion(java.lang.String attribute)

      Creates a new instance.
      Parameters:
        `attribute` -

    - #### ModelBLikenessCriterion

          public ModelBLikenessCriterion(java.lang.String attribute,
                                 double beta,
                                 boolean enhanced)

      Creates a new instance.
      Parameters:
        `attribute` -
        `beta` -
        `enhanced` -

  - ### Method Detail

    - #### clone

          public ModelBLikenessCriterion clone()

      Description copied from class: `ModelCriterion`
      Clone
      Specified by:
        `clone` in class `ModelCriterion`

    - #### getCriterion

          public PrivacyCriterion getCriterion(Model model)

      Description copied from class: `ModelCriterion`
      Implement this to return the criterion.
      Specified by:
        `getCriterion` in class `ModelCriterion`
      Returns:

    - #### getB

          public double getB()

      Returns B.
      Returns:

    - #### isEnhanced

          public boolean isEnhanced()

      Returns whether this is the enhanced variant
      Returns:

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `getLabel` in class `ModelCriterion`
      Returns:

    - #### parse

          public void parse(ModelCriterion criterion,
                   boolean _default)

      Description copied from class: `ModelCriterion`
      Parse
      Specified by:
        `parse` in class `ModelCriterion`
        `_default` - Defines whether the model represents a typical parameter configuration for the criterion

    - #### pull

          public void pull(ModelExplicitCriterion criterion)

      Description copied from class: `ModelExplicitCriterion`
      Implement this, to update data.
      Specified by:
        `pull` in class `ModelExplicitCriterion`

    - #### setB

          public void setB(double beta)

      Sets Beta.
      Parameters:
        `beta` -

    - #### setEnhanced

          public void setEnhanced(boolean enhanced)

      Sets whether or not this is the enhanced variant
      Parameters:
        `enhanced` -

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ModelCriterion`
      Implement this to return a string representation.
      Specified by:
        `toString` in class `ModelCriterion`